Skip to main content

Update Tenant Settings

Using this API, we can add/update the realm settings.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

POST https://{tenantId}.{hostname}/digitanium/v4/tenants/settings

HTTP request URL for SHIFT​

POST https://{hostname}/auth/realms/{tenantId}/v3_realm/settings
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body(Required)​

Field NameTypeDescription
Key (Required)StringProvide a name of the "key" needs to be added.
Value (Required)StringProvide a name of the "Value" needs to be added/updated.

Sample Request​

{
"key": "value"
}

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "Tenant settings updated successfully",
"status": "OK",
"subSystem": 1
}

Response Status Information​

Status CodeStatusMessage
200OKTenant settings updated successfully
400BAD_REQUESTFailed to create tenant
401UnauthorizedHTTP 401 Unauthorized